Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 480586 - sys-apps/portage: desktop-file-validation should ignore any warnings with word 'Pantheon'
Summary: sys-apps/portage: desktop-file-validation should ignore any warnings with wor...
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Unclassified (show other bugs)
Hardware: All All
: Low minor (vote)
Assignee: Portage team
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 472632
  Show dependency tree
 
Reported: 2013-08-11 08:10 UTC by Samuli Suominen
Modified: 2013-08-22 04:50 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2013-08-11 08:10:23 UTC
desktop-file-validate is complaining about Pantheon, but it shouldn't, and Portage should ignore any desktop-file-validate errors with word 'Pantheon' in it

this is coming from Ubuntu and removing or changing it would actually break the .desktop file

 * Messages for package www-client/midori-0.5.4:

 * QA Notice: This package installs one or more .desktop files that do not
 * pass validation.
 * 
 * 	/usr/share/applications/midori-private.desktop: error: value "Pantheon;" for key "NotShowIn" in group "Desktop Entry" contains an unregistered value "Pantheon"; values extending the format should start with "X-"
 *
Comment 1 Samuli Suominen gentoo-dev 2013-08-11 08:12:03 UTC
as in, Pantheon will almost certainly be added to the specification later in the development process, and we shouldn't kill their efforts of better support right from the start just because desktop-file-validate complains
Comment 3 Zac Medico gentoo-dev 2013-08-13 00:06:11 UTC
This is fixed in 2.2.0.
Comment 4 Samuli Suominen gentoo-dev 2013-08-13 02:27:19 UTC
(In reply to Zac Medico from comment #2)
> This should fix it:
> 
> http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commit;
> h=f98127d2569048c5d29d1734f2f7f8ba64c85242

As I'm reading this, this would only supress NotShowIn, right? What about OnlyShowIn?
There might be more I can't think of now, that's why I said "should ignore any desktop-file-validate errors with word 'Pantheon'"
Comment 5 Zac Medico gentoo-dev 2013-08-13 05:46:28 UTC
Ignoring anything containing 'Pantheon' is too loose, since it might allow some genuine problems through. My policy with portage's desktop-file-validate filtering has always been to filter very specific patterns that we actually know about. So, I'd like us to collect a very specific list of known messages that need to be filtered.
Comment 6 Samuli Suominen gentoo-dev 2013-08-13 12:22:04 UTC
(In reply to Zac Medico from comment #5)
> Ignoring anything containing 'Pantheon' is too loose, since it might allow
> some genuine problems through. My policy with portage's
> desktop-file-validate filtering has always been to filter very specific
> patterns that we actually know about. So, I'd like us to collect a very
> specific list of known messages that need to be filtered.

OK, that's fine.  Just add OnlyShowIn then, which uses same syntax as NotShowIn, and I'll just open a new bug if there are more later.
Comment 8 Pim Vullers 2013-08-16 19:13:19 UTC
Thanks, I think I've covered most of the Pantheon ebuilds in the elementary overlay. I'll try to check if there are any cases not covered by this fix.
Comment 9 Zac Medico gentoo-dev 2013-08-22 04:50:43 UTC
This is fixed in 2.2.1.